Package org.eclipse.cdt.core.templateengine

## Class TemplateCategory

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.TemplateCategory

    public class TemplateCategory
    extends Object

Since:
  5.4

### Constructor Summary

Constructors
`TemplateCategory​(String id, String label, List<String> parentCategoryIds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`String` `getLabel()`
`List<String>` `getParentCategoryIds()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateCategory

    public TemplateCategory​(String id,
                            String label,
                            List<String> parentCategoryIds)

### Method Detail

#### getId

    public String getId()

#### getLabel

    public String getLabel()

#### getParentCategoryIds

    public List<String> getParentCategoryIds()